<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/template.xhtml">
   <ui:define name="inform">
	  <h1>Gerenciamento de especies</h1>
	<h:panelGroup id="myDashBoard" class="breadcrumb">

		<ol class="breadcrumb">

			<li><a href="index.jsf"><i class="fa fa-dashboard"></i>Home</a></li>
			<li class="active">Editar especie</li>

		</ol>

	</h:panelGroup>
	</ui:define>

	<ui:define name="content">
		<h:form>
			
			<h1>Editar especie</h1>

			<h:panelGrid columns="2">
                <h:inputHidden value="#{especieBean.especieSelecionado.id}" />
                <h:inputHidden value="1" />
				<h:outputLabel value="Código: " />
				<h:inputText value="#{especieBean.especieSelecionado.codigo}" />

				<h:outputLabel value="Especie: " />
				<h:inputText value="#{especieBean.especieSelecionado.especie}" />

				<h:commandButton action="#{especieBean.alterar()}" value="Editar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                <h:commandButton action="#{especieBean.inicial()}" value="Cancelar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
			</h:panelGrid>

		</h:form>
	</ui:define>
</ui:composition>
